"""Celery tasks module."""
from magic_app.app import celery
from magic_app.templates import clone_app_template, create_data_dir


@celery.task
def install_app(app_name: str, form_data) -> None:
    """Install an application."""
    create_data_dir()
    clone_app_template(app_name)

    # Note(decentral1se): this is where I left off...
    # from magic_app.forms import form_to_env
    # env = form_to_env(app_name, form_data)  # noqa
